[gnome-system-monitor] Migrate from gnome-common



commit c6ac01efc0c604c70775d1f3ef1b4c37a65c5903
Author: Robert Roth <robert roth off gmail com>
Date:   Tue Aug 29 00:14:06 2017 +0300

    Migrate from gnome-common
    
    https://bugzilla.gnome.org/show_bug.cgi?id=786944

 autogen.sh   |   45 ++++++++++++++++++++++++++++++++++-----------
 configure.ac |    1 -
 2 files changed, 34 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 15ec4c7..959a06a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,18 +1,41 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level directory"
-    exit 1
-}
+cd $srcdir
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common package"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-. gnome-autogen.sh
+git submodule update --init --recursive
+
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+mkdir -p m4
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
+
diff --git a/configure.ac b/configure.ac
index eef5411..f6ef831 100644
--- a/configure.ac
+++ b/configure.ac
@@ -14,7 +14,6 @@ AM_INIT_AUTOMAKE([1.11.1 no-dist-gzip dist-xz foreign])
 AM_SILENT_RULES([yes])
 
 AM_MAINTAINER_MODE([enable])
-GNOME_MAINTAINER_MODE_DEFINES
 
 # Check For programs
 AC_PROG_CC


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]